#pragma once

#include <cstdint>

class Distance
{
public:
    Distance();
    ~Distance();

    // if trigger/echo times out, returns infinity
    const double get_reading() const;

private:
    int32_t trigger_fd = -1;
    int32_t echo_fd = -1;

    const bool read_echo() const;
};
